qmf::engine::SchemaObjectClass Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qmf::engine::SchemaObjectClass Class Reference

`#include <qmf/engine/Schema.h>`

List of all members.

## Public Member Functions
| SchemaObjectClass (const char *package, const char *name)
| SchemaObjectClass (const SchemaObjectClass &from)
| ~SchemaObjectClass ()
void | addProperty (const SchemaProperty *property)
void | addStatistic (const SchemaStatistic *statistic)
void | addMethod (const SchemaMethod *method)
const SchemaClassKey * | getClassKey () const
int | getPropertyCount () const
int | getStatisticCount () const
int | getMethodCount () const
const SchemaProperty * | getProperty (int idx) const
const SchemaStatistic * | getStatistic (int idx) const
const SchemaMethod * | getMethod (int idx) const

## Constructor & Destructor Documentation

qmf::engine::SchemaObjectClass::SchemaObjectClass | ( | const char * | package,
|  | const char * | name
| ) |  |

qmf::engine::SchemaObjectClass::SchemaObjectClass | ( | const SchemaObjectClass & | from | ) |

qmf::engine::SchemaObjectClass::~SchemaObjectClass | ( |  | ) |

## Member Function Documentation

void qmf::engine::SchemaObjectClass::addMethod | ( | const SchemaMethod * | method | ) |

void qmf::engine::SchemaObjectClass::addProperty | ( | const SchemaProperty * | property | ) |

void qmf::engine::SchemaObjectClass::addStatistic | ( | const SchemaStatistic * | statistic | ) |

const SchemaClassKey* qmf::engine::SchemaObjectClass::getClassKey | ( |  | ) | const

const SchemaMethod* qmf::engine::SchemaObjectClass::getMethod | ( | int | idx | ) | const

int qmf::engine::SchemaObjectClass::getMethodCount | ( |  | ) | const

const SchemaProperty* qmf::engine::SchemaObjectClass::getProperty | ( | int | idx | ) | const

int qmf::engine::SchemaObjectClass::getPropertyCount | ( |  | ) | const

const SchemaStatistic* qmf::engine::SchemaObjectClass::getStatistic | ( | int | idx | ) | const

int qmf::engine::SchemaObjectClass::getStatisticCount | ( |  | ) | const

The documentation for this class was generated from the following file:

- qmf/engine/Schema.h